### File

`packages/base/src/lib/eui-models/eui-growl-message.model.ts`

### Description

Is used to define the structure of objects used for handling messages or notifications in a user interface. It allows for flexibility by allowing additional custom properties while also providing a set of predefined properties like severity, summary, detail, life, and sticky for common message attributes.

### Index

###### Properties
Optional detail Optional filled Optional life Optional severity Optional sticky Optional summary Optional timeout

### Properties

detail
`detail: `string``
Type : `string`
Optional

filled
`filled: `boolean``
Type : `boolean`
Optional

life
`life: `number``
Type : `number`
Optional

severity
`severity: `"success" | "warning" | "info" | "danger" | string``
Type : `"success" | "warning" | "info" | "danger" | string`
Optional

sticky
`sticky: `boolean``
Type : `boolean`
Optional

summary
`summary: `string``
Type : `string`
Optional

timeout
`timeout: `number``
Type : `number`
Optional
The timeout property is used to define the time in milliseconds before the message is automatically removed from the user interface. This property is only used when the sticky property is set to false.

# results matching ""

# No results matching ""